API Introduction

Access your AI Search Index analytics data programmatically with our REST API.

Base URL

https://aisearchindex.com/api/v1

Authentication

All API requests require authentication using an API key. Include your API key in the x-api-key header.

curl -X GET https://aisearchindex.com/api/v1/websites \
  -H "x-api-key: YOUR_API_KEY"
Learn more about authentication

Available Endpoints

Response Format

All API responses are in JSON format. Successful responses include a success: true field.

Successful Response
{
  "success": true,
  "data": {
    // Response data here
  }
}
Error Response
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Invalid API key"
  }
}

Rate Limits

PlanRequests per Minute
Free10 req/min
Starter60 req/min
Pro300 req/min
EnterpriseCustom

Rate limit headers are included in responses: X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset

SDKs & Libraries

While you can use the API directly with any HTTP client, we also provide:

  • MCP Server — Query data through AI assistants
  • TypeScript Types — Available in our npm packages